/* From: https://codepen.io/nxworld/pen/ByGGPj */

div.tagcloud:first-child {
    margin-top: 1em;
}

.tagcloud ul {
	margin: 0;
	padding: 0;
	list-style: none;
}

.tagcloud ul li {
	display: inline-block;
	margin: 0 0 .3em 1em;
	padding: 0;
}

.tagcloud ul li a {
	position: relative;
	display: inline-block;
	height: 30px;
	line-height: 30px;
	padding: 0 1em 0 .75em;
	background-color: #3498db;
	border-radius: 0 3px 3px 0;
	color: #fff;
	font-family: verdana, arial, sans;
	font-size: 15px;
	text-decoration: none;
	-webkit-transition: .2s;
	transition: .2s;
}

.tagcloud ul li a::before {
	position: absolute;
	top: 0;
	left: -15px;
	z-index: -1;
	content: '';
	width: 30px;
	height: 30px;
	background-color: #3498db;
	border-radius: 50%;
	-webkit-transition: .2s;
	transition: .2s;
}

.tagcloud ul li a::after {
	position: absolute;
	top: 50%;
	left: -6px;
	z-index: 2;
	display: block;
	content: '';
	width: 6px;
	height: 6px;
	margin-top: -3px;
	background-color: #fff;
	border-radius: 100%;
}
.tagcloud ul li span {
	display: block;
	max-width: 100px;
	white-space: nowrap;
	text-overflow: ellipsis;
	overflow: hidden;
}

.tagcloud ul li a:hover {
	background-color: #555;
	color: #fff;
}

.tagcloud ul li a:hover::before {
	background-color: #555;
}
